<?php
/* Mantenimiento de los registros de la tabla MST_PersonaMast redefinidos por el usaurio */
class MST_PersonaMastDP extends BaseMST_PersonaMastDP
{
    public static function limpiarValoresTipoPersona( $i_IdPersona )
    {
        $s_Sql = "UPDATE MST_PersonaMast SET EsCliente='NO', EsProveedor='NO', EsEmpleado='NO', EsOtro='NO' WHERE IdPersona='$i_IdPersona';";
        Conexion::getConexion()->createStatement()->executeQuery( $s_Sql );
        return true;
    }
    
    public static function actualizarUsuarioLogin( $i_IdPersona, $s_UsuarioLogin )
    {
        $s_Sql = "UPDATE MST_PersonaMast SET IdUsuario='$s_UsuarioLogin' WHERE IdPersona='$i_IdPersona';";
        Conexion::getConexion()->createStatement()->executeQuery( $s_Sql );
        return true;
    }
}
?>